aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Schindelin <Johannes.Schindelin@gmx.de>2007-06-06 19:57:40 +0100
committerJunio C Hamano <gitster@pobox.com>2007-06-06 13:13:58 -0700
commit3a86f36bedab00446a5b9117981bce25120adfb1 (patch)
treeab6b07bbe8b8c76e7fdb730998eb959abed3507d
parent6abd0fb396a0c575dafd4e1021d37d178740396c (diff)
downloadgit-3a86f36bedab00446a5b9117981bce25120adfb1.tar.gz
git-3a86f36bedab00446a5b9117981bce25120adfb1.tar.xz
t5000: skip ZIP tests if unzip was not found
Signed-off-by: Johannes Schindelin <Johannes.Schindelin@gmx.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xt/t5000-tar-tree.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/t/t5000-tar-tree.sh b/t/t5000-tar-tree.sh
index e223c074f..5500505d8 100755
--- a/t/t5000-tar-tree.sh
+++ b/t/t5000-tar-tree.sh
@@ -108,6 +108,13 @@ test_expect_success \
'git-archive --format=zip' \
'git-archive --format=zip HEAD >d.zip'
+$UNZIP -v 2>/dev/null
+if [ $? -eq 127 ]; then
+ echo "Skipping ZIP tests, because unzip was not found"
+ test_done
+ exit
+fi
+
test_expect_success \
'extract ZIP archive' \
'(mkdir d && cd d && $UNZIP ../d.zip)'